// MainFrm.h : Schnittstelle der Klasse CMainFrame
//
/////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_MAINFRM_H__5F467808_1657_4082_9312_811ECFE2D466__INCLUDED_)
#define AFX_MAINFRM_H__5F467808_1657_4082_9312_811ECFE2D466__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class CMainFrame : public CFrameWnd
{
	
protected: // Nur aus Serialisierung erzeugen
	CMainFrame();
	DECLARE_DYNCREATE(CMainFrame)

// Attribute
public:

// Operationen
public:

// berladungen
	// Vom Klassenassistenten generierte berladungen virtueller Funktionen
	//{{AFX_VIRTUAL(CMainFrame)
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	//}}AFX_VIRTUAL

// Implementierung
public:
	void SetSceneValues(float& range0, float& range1, float& step,
				float &scaleX, float &scaleY);
	void GetSceneValues(float& range0, float& range1, float& step,
				float &scaleX, float &scaleY);
	void SetFunctionValue(CString string);
	void AddToFunctionValue(CString string);
	void SetSizeBarInfo(int cx, int cy);
	void SetStatusBarText(CString string);
	CString GetFunctionValue();
	virtual ~CMainFrame();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:  // Eingebundene Elemente der Steuerleiste
	CStatusBar  m_wndStatusBar;
	CToolBar    m_wndToolBar;
	CToolBar    sceneToolBar;
	CDialogBar  dialogBar;
	CDialogBar  sceneDlgBar;

// Generierte Message-Map-Funktionen
protected:
	//{{AFX_MSG(CMainFrame)
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	afx_msg void OnViewScenebar();
	afx_msg void OnUpdateViewScenebar(CCmdUI* pCmdUI);
	afx_msg void OnViewAdvancedscenebar();
	afx_msg void OnUpdateViewAdvancedscenebar(CCmdUI* pCmdUI);
	afx_msg void OnContextMenu(CWnd* pWnd, CPoint point);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ fgt unmittelbar vor der vorhergehenden Zeile zustzliche Deklarationen ein.

#endif // !defined(AFX_MAINFRM_H__5F467808_1657_4082_9312_811ECFE2D466__INCLUDED_)
