// FunctionatorDoc.h : Schnittstelle der Klasse CFunctionatorDoc
//
/////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_FUNCTIONATORDOC_H__EAB0606A_C904_4F10_87FC_503540E5FA2C__INCLUDED_)
#define AFX_FUNCTIONATORDOC_H__EAB0606A_C904_4F10_87FC_503540E5FA2C__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "SString.h"

class CFunctionatorDoc : public CDocument
{
protected: // Nur aus Serialisierung erzeugen
	CFunctionatorDoc();
	DECLARE_DYNCREATE(CFunctionatorDoc)

// Attribute
public:

// Operationen
public:

// berladungen
	// Vom Klassenassistenten generierte berladungen virtueller Funktionen
	//{{AFX_VIRTUAL(CFunctionatorDoc)
	public:
	virtual BOOL OnNewDocument();
	virtual void Serialize(CArchive& ar);
	//}}AFX_VIRTUAL

// Implementierung
public:
	bool* GetGrid();
	bool* GetGraduation();
	bool* GetAntiA();
	float* GetZoom();
	float* GetStep();
	float* GetRange();
	SString GetFunction();
	float* GetScala();
	float* GetRotation();
	virtual ~CFunctionatorDoc();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:
	float scala[2];
	float rotation[3];
	float range[2];
	float step;
	float zoom;
	
	bool antialiasing;
	bool graduation;
	bool grid;

	CString function;
// Generierte Message-Map-Funktionen
protected:
	//{{AFX_MSG(CFunctionatorDoc)
	afx_msg void OnRefresh();
	afx_msg void OnChangeFormula();
	afx_msg void OnInsertSqrt();
	afx_msg void OnInsertCos();
	afx_msg void OnInsertSin();
	afx_msg void OnInsertTan();
	afx_msg void OnAntialiasing();
	afx_msg void OnUpdateAntialiasing(CCmdUI* pCmdUI);
	afx_msg void OnGraduation();
	afx_msg void OnUpdateGraduation(CCmdUI* pCmdUI);
	afx_msg void OnGrid();
	afx_msg void OnUpdateGrid(CCmdUI* pCmdUI);
	afx_msg void OnChangeRange0();
	afx_msg void OnChangeRange1();
	afx_msg void OnChangeStep();
	afx_msg void OnChangeScaleX();
	afx_msg void OnChangeScaleY();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

inline CArchive& operator << (CArchive& ar, bool value)
{
	int save = value;

	ar << save;
	return ar;
}

inline CArchive& operator >> (CArchive& ar, bool& value)
{
	int load;

	ar >> load;
	value = load;
	return ar;
}
/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ fgt unmittelbar vor der vorhergehenden Zeile zustzliche Deklarationen ein.

#endif // !defined(AFX_FUNCTIONATORDOC_H__EAB0606A_C904_4F10_87FC_503540E5FA2C__INCLUDED_)
